{ ... }:
let
  sources = import ./nix/sources.nix;

  nixpkgs = import sources.nixpkgs { };

  niv = import sources.niv { };
in with nixpkgs;
stdenv.mkDerivation {
  name = "elm-save-scroll-experiment";
  buildInputs = [
    niv.niv
    git

    # elm
    elmPackages.elm-format

    # node
    nodePackages.npm
    nodejs-10_x
  ];
}
